Thomas P.

[1.7.3-2 + Backports] Kopernicus & KittopiaTech

Recommended Posts

I have a simple demand and hope there is a simple answer: how do I create a piece of flat terrain? Not as polished as the Minmus Flats, more like the almost-level ground around the Kerbal Space Center.

The heightmap I'm looking at seems much too coarse-grained to explain the terrain I experience. I presume that the small-scale waviness is the result of some algorithm. Am I right? and if so, can I smooth the terrain around coordinates X,Y?

Share this post


Link to post
Share on other sites
2 minutes ago, Laie said:

I have a simple demand and hope there is a simple answer: how do I create a piece of flat terrain? Not as polished as the Minmus Flats, more like the almost-level ground around the Kerbal Space Center.

The heightmap I'm looking at seems much too coarse-grained to explain the terrain I experience. I presume that the small-scale waviness is the result of some algorithm. Am I right? and if so, can I smooth the terrain around coordinates X,Y?

You will need to use a map decal to get like what’s around the KSC. That’s what stock uses to accomplish that.

Share this post


Link to post
Share on other sites
10 minutes ago, Galileo said:

You will need to use a map decal to get like what’s around the KSC. That’s what stock uses to accomplish that. 

Not sure if I understand... you mean like a square of four or nine identical pixels on the heightmap?

I've been looking for the stock Kerbin heightmap but couldn't find it. Where do i need to look?

Share this post


Link to post
Share on other sites

Stupid question. Does it work with 1.4.4 And is KSP 1.5 coming out soon? thanks lol

Share this post


Link to post
Share on other sites
2 hours ago, Carrot said:

Stupid question. Does it work with 1.4.4 And is KSP 1.5 coming out soon? thanks lol

It would be a stupid question, but seeing as how the moderators have removed the majority of the responses saying “no it doesn’t work with 1.4.4”, it’s perfectly valid... but you can also go read pages back in the thread and probably find an answer here and there that haven’t been purged yet.

 

and nobody but Squad employees know when 1.4.5 is coming out.

16 hours ago, Laie said:

Not sure if I understand... you mean like a square of four or nine identical pixels on the heightmap?

I've been looking for the stock Kerbin heightmap but couldn't find it. Where do i need to look?

https://github.com/Kopernicus/kittopia-dumps

you can find it there, or you can export it with kittopia or sigma cartographer. 

Edited by Galileo

Share this post


Link to post
Share on other sites
5 hours ago, Galileo said:

and nobody but Squad employees know when 1.4.5 is coming out.

I know the answer to this one!

Spoiler

Soon(TM)

 

Share this post


Link to post
Share on other sites

Well, alright... I feel like an idiot. Where's the most exhaustive and comprehensive source for learning how to use this? So many questions but I see so little documentation. I want to use textures for color and heightmap but no indication of how. Nothing about 'where' on Kerbol the launchpad would appear on a 2D map to ensure it isn't buried in mountains. I don't even see anything about how to load the maps for a world. So much potential, nothing explained at all beyond the examples, but looking at them, there seems to be a LOT that is still missing to paint the complete picture of how this works.

Share this post


Link to post
Share on other sites
On 7/17/2018 at 5:13 PM, OhioBob said:

It could also be that you're using some other mod that's broken.  If a mod, such as a planet pack, that uses Kopernicus has an error in it that prevents Kopernicus from loading it correctly, Kopernicus will display an error and will warn you not to open your saved games.  So just because Koprnicus is producing the error message, there's a good chance that Kopernicus is not the problem.  You may have to do some further debugging to try to isolate the cause of the error.

I put that to the test.

Removed every mod I knew was using Kopernicus (which was pretty much only Kerbol Origins and Rescale) and the problem persists, despite the fact I didn't get my version via CKAN but downloaded it from the Kopernicus Git.

Share this post


Link to post
Share on other sites

i know the mod is for 1.4.3, not 1.4.4, but how big would the issues be if i tried to run it in 1.4.4? i mean, its only a 0.0.1 version increment, idk if there was a lot changed in the new version, enough that there would be immense incompatibilities or bugs with using a 1.4.3 mod in 1.4.4. the loading screen warnings make it seem like a big issue, but idk if it really is 100% incompatible and broken. any idea if build 1.4.3-2 of kopernicus will work with 1.4.4? 

Share this post


Link to post
Share on other sites
24 minutes ago, 123nick said:

i know the mod is for 1.4.3, not 1.4.4, but how big would the issues be if i tried to run it in 1.4.4? i mean, its only a 0.0.1 version increment, idk if there was a lot changed in the new version, enough that there would be immense incompatibilities or bugs with using a 1.4.3 mod in 1.4.4. the loading screen warnings make it seem like a big issue, but idk if it really is 100% incompatible and broken. any idea if build 1.4.3-2 of kopernicus will work with 1.4.4? 

Supposedly there was an internal change that broke some things, but IDK if that's entirely true. I know that Kerbal Konstructs is also broken from the update.

Share this post


Link to post
Share on other sites

yeah, i tried starting up a new save with kopernicus, and OPM, but alas, none of the new planets were in the tracking station, so i think it doesnt work. kerbal konstructs not working also makes me think something essential was changed, causing mods that add new 3D assets to the ingame world might be broke. 

Share this post


Link to post
Share on other sites
10 hours ago, 123nick said:

yeah, i tried starting up a new save with kopernicus, and OPM, but alas, none of the new planets were in the tracking station, so i think it doesnt work. kerbal konstructs not working also makes me think something essential was changed, causing mods that add new 3D assets to the ingame world might be broke. 

Kopernicus is version locked, it's specifically made to only run in the version of the game it was made for.

Share this post


Link to post
Share on other sites
14 hours ago, 123nick said:

i know the mod is for 1.4.3, not 1.4.4, but how big would the issues be if i tried to run it in 1.4.4? i mean, its only a 0.0.1 version increment, idk if there was a lot changed in the new version, enough that there would be immense incompatibilities or bugs with using a 1.4.3 mod in 1.4.4. the loading screen warnings make it seem like a big issue, but idk if it really is 100% incompatible and broken. any idea if build 1.4.3-2 of kopernicus will work with 1.4.4? 

I can confirm that solar panels no longer function in KSP 1.4.4 when using this mod's 1.4.3 version.

Share this post


Link to post
Share on other sites

Kopernicus is version locked, meaning that each version of Kopernicus will work with only one specific version of KSP.  The version numbers must match, i.e. with KSP 1.4.3 you must use the Kopernicus version numbered 1.4.3-x.  (The "x" is the release number.  There may be multiple releases that will work with a given version of KSP.  You should use the  most recent release.)  You can't use Kopernicus 1.4.3-x with KSP 1.4.4.  If there is no Kopernicus version that matches the current KSP version, then please just be patient and wait for Kopernicus to catch up.

Mod authors have real life demands that take precedence over updating mods, so things don't always happen as quickly as you might like.  It also doesn't help that Squad releases one KSP update and then immediately announces that another will soon follow.  That is very frustrating for mod developers.  Many mod authors choose to just wait until the second release so they don't have to update their mods twice.  That seems to be what's happening here.
 

Edited by OhioBob

Share this post


Link to post
Share on other sites
1 hour ago, OhioBob said:

Many mod authors choose to just wait until the second release so they don't have to update their mods twice.  That seems to be what's happening here.
 

Not this time.

KSP 1.4.4 really changed something internally (PQS Cache), and everything relying in the previous behaviour broke badly.

Perhaps a hack would be possible, but who knows if the hack would not break again next release (or break anything internally later)? And since Squad already said they are going to fix this problem next release, the best line of action is take no action.

Share this post


Link to post
Share on other sites
5 hours ago, Lisias said:

Not this time.

KSP 1.4.4 really changed something internally (PQS Cache), and everything relying in the previous behaviour broke badly.

Perhaps a hack would be possible, but who knows if the hack would not break again next release (or break anything internally later)? And since Squad already said they are going to fix this problem next release, the best line of action is take no action.

yeah if it was just an arbitrary version lock, someone, possibly me, would have done a recompile to unlock it and gone about our merry ways; the author has said however that there's something deeper broken in 1.4.4 and it requires some looking at.

Share this post


Link to post
Share on other sites

 

19 hours ago, OhioBob said:

Kopernicus is version locked, meaning that each version of Kopernicus will work with only one specific version of KSP.  The version numbers must match, i.e. with KSP 1.4.3 you must use the Kopernicus version numbered 1.4.3-x.  (The "x" is the release number.  There may be multiple releases that will work with a given version of KSP.  You should use the  most recent release.)  You can't use Kopernicus 1.4.3-x with KSP 1.4.4.  If there is no Kopernicus version that matches the current KSP version, then please just be patient and wait for Kopernicus to catch up.

Mod authors have real life demands that take precedence over updating mods, so things don't always happen as quickly as you might like.  It also doesn't help that Squad releases one KSP update and then immediately announces that another will soon follow.  That is very frustrating for mod developers.  Many mod authors choose to just wait until the second release so they don't have to update their mods twice.  That seems to be what's happening here.
 

Seems to be a recent habit with Squad as of late. People are going to have to learn to make do without KSP if they cannot play without this mod. I would continue with 1.4.3, but something is wrong with that and the number of mods I have. So... youtube videos of Matt Lowne and beardypenguin until this comes into being. lol

Edited by demibear

Share this post


Link to post
Share on other sites
23 hours ago, ss8913 said:

yeah if it was just an arbitrary version lock, someone, possibly me, would have done a recompile to unlock it and gone about our merry ways; the author has said however that there's something deeper broken in 1.4.4 and it requires some looking at.

The talk of recompiling Kopernicus and breaking its version lock personally bothers me. KSP 1.4.4 is not worthy of the Kopernicus dev's time, from what I've seen. And with 1.4.5 so near, why bother testing now/anymore, right?

Share this post


Link to post
Share on other sites

sorry to bother You guys, ...I would gladly play on 1.4.3 with Kopernicus right now, but have to point out - there is only 1.4.4 and 1.3.1 available on www.kerbalspaceprogram.com. Therefore I'm kinda stuck right now, but that's fine 
Thanks for all the great free stuff Dear DEVs !

Share this post


Link to post
Share on other sites

[MOD - Just a friendly reminder, folks.

At the end of the day, modders create content to share with the community because of their personal love of the game, and they are under no obligation to continue to do so, much less under any sort of schedule or milestone as perceived by users. Please remain respectful in your interactions with fellow forum members.

Thanks!]

Share this post


Link to post
Share on other sites

Adding to what sumghai said, if you think someone has crossed that line, do not hit that person with verbal abuse. Just hit the report button and let the moderators deal with it. Whether you feel it's deserved or not, nastiness like that makes the forum a less pleasant place for everyone to visit. 

We've removed some posts from this thread.

Share this post


Link to post
Share on other sites

I now realize there has been no updates from a kopernicus developer in a while.

Me and @Thomas P. have been busy lately, the summer is always a weird period since schools have exams and work places get a little crazy.

 

We don't have any current ETA on a kopernicus update, so please be patient.

We have an issue open on the project's github repository, we will post there any updates. (you can find the issue here)

 

If you don't want to follow the github repo you can rest assured we will also announce it in this thread when a new version of kopernicus has been released (like always)

 

Have a good summer people (except for @KillAshley)

Share this post


Link to post
Share on other sites

Personally I still think that Squad should start paying mod developers once they get past X number of downloads.. for some value of X.  Even if there was then a paid DLC for supported-and-guaranteed versions of mods.  could still be free ones, but there could be official versions that you could get as a subscription or something.  Adds so much to the game, and TakeTwo/squad is missing out on a business opportunity here that would benefit everyone, in my opinion.

Is there a way I can donate to the Kopernicus folks currently?  I'm also willing to help with testing and/or coding, if there's something I can read up on what's been investigated so far...

Share this post


Link to post
Share on other sites

@Sigma88 if the Kopernicus problem is anything similar to the Kerbal Konstructs problem... updating to 1.4.5 fixed an internal bug, KK magically started working again; could this also fix Kopernicus (granted, would need to take out the version lock code, but)...?

Share this post


Link to post
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.
Note: Your post will require moderator approval before it will be visible.

Guest
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.